Subject: Re: [PATCH] Allocate resources for PHB DLPAR add

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 24 Oct 2008 18:51:35 +1100

On Thu, 2008-10-23 at 23:08 -0500, Nathan Fontenot wrote:
> Resources for PHB's that are DLPAR added to a system are not acquired.
> Not having these resources allocated causes an oops during DLPAR
> remove of the PHB when we try to release non-existant resources.
> 
> The patch appears a bit messy, this is mainly due to moving everything
> one tab to the left in the pcibios_allocate_bus_resources routine.  The
> big functionality change in this routine is only that the 
> list_for_each_entry() loop is pulled out and moved to the necessary
> calling routine.
> 
> Signed-off-by: Nathan Fontenot <[email-masked]>
>  
> ---

Patch looks good.

I'll include it in the next batch hopefully along with a variant of
another patch I'm working on to fix other issues I found with our PCI
hotplug resource management. 

Cheers,
Ben.